> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Provides the full details of a shipment within an inbound plan.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/shipments/{shipmentId}

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/get-shipment

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `shipmentId` (string, required) — Identifier of a shipment. A shipment contains the boxes and units being inbounded.

## Response

### 200

Success

- `destination` (ShipmentDestination, required) — The Walmart Ship Node address and warehouse ID.
- `placementOptionId` (string, required) — The identifier of a placement option.
- `shipmentId` (string, required) — Identifier of a shipment.
- `source` (ShipmentSource, required) — Specifies the 'ship from' address for the shipment.
- `contactInformation` (ContactInformation, optional) — The seller's contact information.
- `dates` (Dates, optional) — Specifies the date that the seller expects their shipment will be shipped.
- `freightInformation` (FreightInformation, optional) — Freight information describes the SKUs that are in transit.
- `name` (string, optional) — The name of the shipment.
- `selectedDeliveryWindow` (SelectedDeliveryWindow, optional) — Selected delivery window attributes.
- `selectedTransportationOptionId` (string, optional) — Identifier of a transportation option.
- `selfShipAppointmentDetails` (list of SelfShipAppointmentDetails, optional) — List of self ship appointment details.
- `shipmentConfirmationId` (string, optional) — The confirmed shipment ID which shows up on labels.
- `status` (string, optional) — The status of a shipment. Possible values: `ABANDONED`, `CANCELLED`, `CHECKED_IN`, `CLOSED`, `DELETED`, `DELIVERED`, `IN_TRANSIT`, `MIXED`, `READY_TO_SHIP`, `RECEIVING`, `SHIPPED`, `UNCONFIRMED`, `WORKING`.
- `trackingDetails` (TrackingDetails, optional) — Tracking information for LTL and SPD shipments.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required)

### 404 Not Found Error

Not Found

- `errors` (list of Error, required)

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required)

## Types

### ShipmentDestination

The Walmart Ship Node address and warehouse ID.

- `destinationType` (string, required) — The type of destination for this shipment. Possible values: `WALMART_OPTIMIZED`, `WALMART_SHIP_NODE`.
- `address` (Address, optional) — Specific details to identify a place.
- `warehouseId` (string, optional) — The Ship Node that the shipment should be sent to. This can be empty if the destination type is `WALMART_OPTIMIZED`.

### ShipmentSource

Specifies the 'ship from' address for the shipment.

- `sourceType` (string, required) — The type of source for this shipment. Possible values: `SELLER_FACILITY`.
- `address` (Address, optional) — Specific details to identify a place.

### ContactInformation

The seller's contact information.

- `name` (string, required) — The contact's name.
- `phoneNumber` (string, required) — The phone number.
- `email` (string, optional) — The email address.

### Dates

Specifies the date that the seller expects their shipment will be shipped.

- `readyToShipWindow` (Window, optional) — Contains a start and end DateTime representing a time range.

### FreightInformation

Freight information describes the SKUs that are in transit.

- `declaredValue` (Currency, optional) — The type and amount of currency.
- `freightClass` (string, optional) — Freight class. Possible values: `NONE`, `FC_50`, `FC_55`, `FC_60`, `FC_65`, `FC_70`, `FC_77_5`, `FC_85`, `FC_92_5`, `FC_100`, `FC_110`, `FC_125`, `FC_150`, `FC_175`, `FC_200`, `FC_250`, `FC_300`, `FC_400`, `FC_500`.

### SelectedDeliveryWindow

Selected delivery window attributes.

- `availabilityType` (string, required) — The type of delivery window availability. Values: `AVAILABLE`, `BLOCKED`, `CONGESTED`, `DISCOUNTED`.
- `deliveryWindowOptionId` (string, required) — Identifier of a delivery window option.
- `endDate` (datetime, required) — The end timestamp of the window.
- `startDate` (datetime, required) — The start timestamp of the window.
- `editableUntil` (datetime, optional) — The timestamp at which this window can no longer be edited.

### SelfShipAppointmentDetails

Appointment details for carrier pickup or Ship Node appointments.

- `appointmentId` (double, optional) — Identifier for appointment.
- `appointmentSlotTime` (AppointmentSlotTime, optional) — An appointment slot time with start and end.
- `appointmentStatus` (string, optional) — Status of the appointment.

### TrackingDetails

Tracking information for LTL and SPD shipments.

- `ltlTrackingDetail` (LtlTrackingDetail, optional) — Contains information related to Less-Than-Truckload (LTL) shipment tracking.
- `spdTrackingDetail` (SpdTrackingDetail, optional) — Contains information related to Small Parcel Delivery (SPD) shipment tracking.

### Error

- `code` (string, required)
- `message` (string, required)
- `details` (string, optional)

### Address

Specific details to identify a place.

- `addressLine1` (string, required) — Street address information.
- `city` (string, required) — The city.
- `countryCode` (string, required) — The country code in two-character ISO 3166-1 alpha-2 format.
- `name` (string, required) — The name of the individual who is the primary contact.
- `postalCode` (string, required) — The postal code.
- `addressLine2` (string, optional) — Additional street address information.
- `companyName` (string, optional) — The name of the business.
- `districtOrCounty` (string, optional) — The district or county.
- `email` (string, optional) — The email address.
- `phoneNumber` (string, optional) — The phone number.
- `stateOrProvinceCode` (string, optional) — The state or province code.

### Window

Contains a start and end DateTime representing a time range.

- `end` (datetime, required) — The end timestamp of the window.
- `start` (datetime, required) — The start timestamp of the window.
- `editableUntil` (datetime, optional) — The timestamp at which this window can no longer be edited.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

### AppointmentSlotTime

An appointment slot time with start and end.

- `endTime` (datetime, required) — The end timestamp of the appointment in UTC.
- `startTime` (datetime, required) — The start timestamp of the appointment in UTC.

### LtlTrackingDetail

Contains information related to Less-Than-Truckload (LTL) shipment tracking.

- `billOfLadingNumber` (string, optional) — The number of the carrier shipment acknowledgement document.
- `freightBillNumber` (list of string, optional) — The number associated with the freight bill.

### SpdTrackingDetail

Contains information related to Small Parcel Delivery (SPD) shipment tracking.

- `spdTrackingItems` (list of SpdTrackingItem, optional) — List of Small Parcel Delivery (SPD) tracking items.

### SpdTrackingItem

Contains information used to track and identify a Small Parcel Delivery (SPD) item.

- `boxId` (string, optional) — The ID provided by Walmart that identifies a given box.
- `trackingId` (string, optional) — The tracking ID associated with each box in a non-partnered SPD shipment.
- `trackingNumberValidationStatus` (string, optional) — Indicates whether Walmart has validated the tracking number. Possible values: `VALIDATED`, `NOT_VALIDATED`, `NOT_SUPPORTED`.

## Examples

**Response**

```json
{
  "destination": {
    "destinationType": "string",
    "address": {
      "addressLine1": "string",
      "city": "string",
      "countryCode": "string",
      "name": "string",
      "postalCode": "string",
      "addressLine2": "string",
      "companyName": "string",
      "districtOrCounty": "string",
      "email": "string",
      "phoneNumber": "string",
      "stateOrProvinceCode": "string"
    },
    "warehouseId": "string"
  },
  "placementOptionId": "string",
  "shipmentId": "string",
  "source": {
    "sourceType": "string",
    "address": {
      "addressLine1": "string",
      "city": "string",
      "countryCode": "string",
      "name": "string",
      "postalCode": "string",
      "addressLine2": "string",
      "companyName": "string",
      "districtOrCounty": "string",
      "email": "string",
      "phoneNumber": "string",
      "stateOrProvinceCode": "string"
    }
  },
  "contactInformation": {
    "name": "string",
    "phoneNumber": "string",
    "email": "string"
  },
  "dates": {
    "readyToShipWindow": {
      "end": "2024-01-15T09:30:00Z",
      "start": "2024-01-15T09:30:00Z",
      "editableUntil": "2024-01-15T09:30:00Z"
    }
  },
  "freightInformation": {
    "declaredValue": {
      "amount": 1.1,
      "code": "string"
    },
    "freightClass": "string"
  },
  "name": "string",
  "selectedDeliveryWindow": {
    "availabilityType": "string",
    "deliveryWindowOptionId": "string",
    "endDate": "2024-01-15T09:30:00Z",
    "startDate": "2024-01-15T09:30:00Z",
    "editableUntil": "2024-01-15T09:30:00Z"
  },
  "selectedTransportationOptionId": "string",
  "selfShipAppointmentDetails": [
    {
      "appointmentId": 1.1,
      "appointmentSlotTime": {
        "endTime": "2024-01-15T09:30:00Z",
        "startTime": "2024-01-15T09:30:00Z"
      },
      "appointmentStatus": "string"
    }
  ],
  "shipmentConfirmationId": "string",
  "status": "string",
  "trackingDetails": {
    "ltlTrackingDetail": {
      "billOfLadingNumber": "string",
      "freightBillNumber": [
        "string"
      ]
    },
    "spdTrackingDetail": {
      "spdTrackingItems": [
        {
          "boxId": "string",
          "trackingId": "string",
          "trackingNumberValidationStatus": "string"
        }
      ]
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```